-- $Name:Путь гоблина$

instead_version "1.8.2"

if stead.version < "1.8.2" then
	walk = _G["goto"]
	walkin = goin
	walkout = goout
	walkback = goback
end

require "hideinv"		-- отключение инвентаря
require "xact"			-- множественные ссылки
require "sound"			-- управление музыкой
require "format"		-- форматирование вывода
require "theme"		-- управление темой
require "click"		--модуль перехвата кликов мыши по картинке сцены.
require "timer"		--модуль отсчета времени
require "fonts" 		--модуль обработки шрифтов
require "sprites" 		--модуль для работы со спрайтами
require "cutscene"		--модуль создания заставок, титров.
require "keyboard"		--модуль для работы с клавиатурой.

--require "dbg" -- для отладки

game.codepage="UTF-8";

game.act = '';
game.inv = 'Хм.. Странная штука..';
game.use = 'Не сработает...';

game.forcedsc = true;

format.para = true; 	-- отступ в начале парагрфа
format.dash = true; 	--замена двойного - на длинное тире;
format.quotes = true; 	--замена " " на типографские << >>;

dofile("games.lua");
dofile("mehanika.lua");
dofile("objekt.lua");
dofile("dialog.lua");
dofile("invent.lua");
dofile("inform.lua");
dofile("demo.lua");